booster::detail::sp_counted_base Class Referenceabstract
Inheritance diagram for booster::detail::sp_counted_base:

## Public Member Functions

virtual void | dispose ()=0
virtual void | destroy ()
virtual void * | get_deleter (sp_typeinfo const &ti)=0
void | add_ref_copy ()
bool | add_ref_lock ()
void | release ()
void | weak_add_ref ()
void | weak_release ()
long | use_count () const

The documentation for this class was generated from the following file:

- booster/smart_ptr/sp_counted_base.h